import { computed as n, unref as i } from "vue";
import { v as p, p as c, q as u, w as a, r, B as l } from "./index-a68a4fdc.mjs";
const h = {
  key: "_input",
  name: "Input",
  description: "Basic input",
  icon: "mdiFormTextbox",
  sequence: 12,
  transform: p("el-input", {}, (e, { config: t }) => {
    d(e, t, "prefix"), d(e, t, "suffix");
  }),
  editor: {
    basic: {
      init: { type: "text", clearable: !0, size: "default" },
      ui: function({ config: e }) {
        return [
          c("type", [
            "text",
            "textarea",
            "password",
            "button",
            "checkbox",
            "color",
            "date",
            "datetime-local",
            "email",
            "file",
            "hidden",
            "image",
            "month",
            "number",
            "radio",
            "range",
            "reset",
            "search",
            "submit",
            "tel",
            "time",
            "url",
            "week"
          ]),
          u("placeholder"),
          a("clearable", void 0, {
            "~show": n(() => i(e).type != "textarea")
          }),
          a("disabled"),
          c("size", ["large", "default", "small"]),
          r("minlength", "Min length"),
          r("maxlength", "Max length"),
          a("show-word-limit", void 0, {
            "~show": n(() => i(e).type == "textarea" || i(e).type == "text")
          }),
          r("rows", void 0, {
            "~show": n(() => i(e).type == "textarea")
          }),
          a("show-password"),
          l("_prefix-icon"),
          l("_suffix-icon")
        ];
      }
    },
    data: {
      type: "String",
      init: {
        mode: "fixed",
        dataContent: "Fixed data"
      }
    },
    event: {
      list: ["input", "change"],
      init: []
    },
    display: {
      init: {
        style: {
          margin: "6px 0"
        },
        class: ""
      }
    }
    // demo: {
    //   icon: 'mdiAccountBoxOutline',
    //   name: 'Demo',
    //   ui: [
    //     uiUtil.createSwitch('hello'),
    //     uiUtil.createSelect('world', ['American', 'China', 'Russia'])
    //   ],
    //   init: {
    //     hello: true,
    //     world: 'China'
    //   }
    // }
  }
};
function d(e, t, o) {
  const s = t["_" + o + "-icon"];
  s && (e["#" + o] = { "~component": "lc-icon", icon: s, size: "1.5em" });
}
export {
  h as default
};
